## libmusicbrainz-2.1 2.1.5

=== debian/changelog ===
libmusicbrainz-2.1 (2.1.5-6.2) unstable; urgency=low

  * QA upload.
  * Build using dh_python2

 -- Matthias Klose <doko@debian.org>  Sat, 17 Dec 2011 13:38:55 +0100

libmusicbrainz-2.1 (2.1.5-6.1) unstable; urgency=low

  * QA upload.
  * Enable hardening build flags through dpkg-buildflags

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 02 Oct 2011 13:21:27 +0200

libmusicbrainz-2.1 (2.1.5-6) unstable; urgency=low

  * QA upload.
  * Bump Standards-Version to 3.9.2.
  * Move to Source format 3.0 (quilt), instead of dpatch.
  * Do not install the .la file at all, and stop patching the file.

 -- Regis Boudin <regis@debian.org>  Tue, 23 Aug 2011 23:20:55 +0100

libmusicbrainz-2.1 (2.1.5-5) unstable; urgency=low

  * QA upload.
  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2

 -- Steve Langasek <vorlon@debian.org>  Sat, 26 Mar 2011 01:29:17 +0000

libmusicbrainz-2.1 (2.1.5-4) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Build-depend on python-all-dev (>= 2.5).
    - Remove python-ctypes from Depends (Closes: #562476).
    - Add ${misc:Depends} to Depends for every package.
  * debian/pyversions:
    - Bump to 2.5- for ctypes support.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 27 Dec 2009 16:37:53 +0100

libmusicbrainz-2.1 (2.1.5-3) unstable; urgency=low

  * QA upload.
  * debian/control (Maintainer): Set to the Debian QA Group.
    (Uploaders): Remove with the consent of Jens Peter Secher.
    (Standards-Version): Compliant with 3.8.3 (no changes needed).
    (Build-Depends): Bump debhelper to >= 7
    (Build-Depends-Indep): Bump python-support requirement to >= 0.90.
    (Homepage): New field, moved from Description.
    (Section): Remove, inherited from the Source stanza.
    (Replaces, Conflicts): Remove some; ancient.
  * debian/compat: Set to 7.
  * debian/patches/60-hurd-support.dpatch: New, fixes FTBFS on GNU/Hurd,
    thanks Pino Toscano (Closes: #558754).
  * debian/patches/00list: Update.
  * debian/rules (configure-stamp): Only pass --host to configure if
    cross-compilation is detected.  Depend on patch-stamp.
    (build-stamp): Remove patch-stamp from prerequisites.
    (install-arch): Don't install lintian overrides.
    (binary-indep): Don't invoke dh_python.
  * debian/pycompat:
  * debian/libmusicbrainz4c2a.overrides: Delete.
  * debian/README.source: New file.
  * debian/watch: Don't uupdate.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 18 Dec 2009 15:32:36 +0200

libmusicbrainz-2.1 (2.1.5-2) unstable; urgency=low

  * Use dpatch to apply patch from Brian M. Carlson to fix build failure
    with GCC 4.3. (Closes: #441556)
  * Fix build failure if built twice in a row. (Closes: #442641)
  * Mention python-musicbrainz2 in description because python-musicbrainz
    is deprecated upstream, thanks to Adeodato Simó.  (Closes: #435416)
  * Use binary:Version instead of deprecated Source-Version to make binary
    NMUs easier.
  * Bumped Standards-Version to 3.7.3.
  * Use new Homepage pseudo header.
  * Added myself as an Uploader.

 -- Jens Peter Secher <jps@debian.org>  Mon, 03 Mar 2008 21:49:06 +0100

libmusicbrainz-2.1 (2.1.5-1) unstable; urgency=low

  * New upstream release.
    - Fixed FTBFS with GCC 4.3, patch by Martin Michlmayr. (Closes: #417352)
  * Changed debian/watch to detect only 2.1.x releases.
  * Remove Build-Depend-Indep on python-ctypes, it's not needed anymore.

 -- Lukáš Lalinský <lalinsky@gmail.com>  Sat, 19 May 2007 17:11:45 +0200

libmusicbrainz-2.1 (2.1.4-1) unstable; urgency=high

  * New upstream release (Closes: #383030, #383402)
  * Urgency high, as the upstream release fixes a security bug

 -- Lukáš Lalinský <lalinsky@gmail.com>  Tue, 22 Aug 2006 11:12:55 +0200

libmusicbrainz-2.1 (2.1.3-2) unstable; urgency=low

  * Sponsored upload.

 -- Jens Peter Secher <jps@debian.org>  Tue, 15 Aug 2006 23:33:17 +0200

libmusicbrainz-2.1 (2.1.3-1) unstable; urgency=low

  * New upstream release (Closes: #365379)
  * New maintainer (Closes: #360943)
  * Fixed URL in the watch file, added uupdate
  * Updated copyright file
    - Added three paragraphs from LGPL
    - Added GPL for the python bindings

 -- Lukáš Lalinský <lalinsky@gmail.com>  Mon,  7 Aug 2006 01:16:38 +0200

libmusicbrainz-2.1 (2.1.2-6) unstable; urgency=low

  * QA upload.
  * Update package to the last python policy (Closes: #373452).

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 30 Jun 2006 16:19:48 +0200

libmusicbrainz-2.1 (2.1.2-5) unstable; urgency=low

  * QA upload.
  * Added patch by Petr Salinger to fix an FTBFS on GNU/kFreeBSD (Closes:
    #368970)

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 26 May 2006 20:02:15 +0200

libmusicbrainz-2.1 (2.1.2-4) unstable; urgency=low

  * Orphaning this package as previously announced
  * Bump Standards-Version

 -- Florian Ernst <florian@debian.org>  Sun, 30 Apr 2006 11:41:49 +0200

libmusicbrainz-2.1 (2.1.2-3) unstable; urgency=high

  * urgency=high due to RC bug already present in testing
  * libmusicbrainz4-dev: add missing dependency on libexpat1-dev that became
    necessary starting with 2.1.2; thanks, Matt Kraai (Closes: #350000)

 -- Florian Ernst <florian@debian.org>  Mon, 13 Mar 2006 12:04:21 +0100

libmusicbrainz-2.1 (2.1.2-2) unstable; urgency=low

  * Uploading to Unstable now that this package and its dependencies have
    migrated to Testing

 -- Florian Ernst <florian@debian.org>  Thu,  5 Jan 2006 02:38:44 +0100

libmusicbrainz-2.1 (2.1.2-1) experimental; urgency=low

  * Uploaded to experimental so it won't disturb ongoing transitions
  * New upstream release (Closes: #341654)
    + incorporates 02-gcc4.patch and 01-nonblock.patch
    + includes python bindings again, thus adding corresponding packages;
      the old bindings provided by libmusicbrainz-2.0 will soon be dropped
  * New maintainer (Closes: #328958)
    + miscellaneous packaging adjustments to personal style

 -- Florian Ernst <florian@debian.org>  Thu, 22 Dec 2005 18:35:32 +0100


