=== debian/control ===
Source: libmusicbrainz-2.1
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7),
	       libexpat1-dev,
	       autotools-dev
Build-Depends-Indep: python-all-dev (>= 2.6.6-3~)
Homepage: http://musicbrainz.org

Package: libmusicbrainz4-dev
Architecture: any
Section: libdevel
Depends: libmusicbrainz4c2a (= ${binary:Version}),
	 libexpat1-dev,
	 libc6-dev | libc-dev,
         ${misc:Depends}
Provides: libmusicbrainz-dev
Conflicts: libmusicbrainz-dev
Description: Second generation incarnation of the CD Index - development
 MusicBrainz indexes both digital compressed audio (MP3/Ogg Vorbis) and 
 digital audio CDs.
 .
 This package contains the development files (headers, static library).

Package: libmusicbrainz4c2a
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Second generation incarnation of the CD Index - library
 MusicBrainz indexes both digital compressed audio (MP3/Ogg Vorbis) and 
 digital audio CDs.

Package: python-musicbrainz
Architecture: all
Section: python
Depends: libmusicbrainz4c2a (>= ${binary:Version}),
	 ${python:Depends},
         ${misc:Depends}
Provides: ${python:Provides}
Description: Second generation incarnation of the CD Index - Python bindings
 MusicBrainz indexes both digital compressed audio (MP3/Ogg Vorbis) and
 digital audio CDs.
 .
 This is a straight Python to C binding for libmusicbrainz.  It uses ctypes
 to avoid having to write c code.
 .
 These bindings are deprecated upstream.  You problably want the
 python-musicbrainz2 package instead.
