=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

librarypackage		:= libmusicbrainz4c2a

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS              	:= $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS            	:= $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS             	:= $(shell dpkg-buildflags --get LDFLAGS)

CFLAGS			+= -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
confflags := --build=$(DEB_HOST_GNU_TYPE)
else
confflags := --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

version=`ls src/.libs/lib*.so.* | \
	awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
	awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure-stamp
configure-stamp:
	dh_testdir
	ln -sf /usr/share/misc/config.sub	config.sub
	ln -sf /usr/share/misc/config.guess	config.guess
	./configure $(confflags) LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" \
	  --prefix=/usr
	touch $@

build: build-arch build-indep

build-arch: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

build-indep: build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f python/*.pyc
	[ ! -f Makefile ] || $(MAKE) -i distclean
	dh_clean config.sub config.guess lib/mb.h lib/mb.cpp
	rm -rf python/build

install-arch: build-arch
	dh_testdir
	dh_testroot
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

install-indep: build-indep
	dh_testdir
	dh_testroot
	cd python && python setup.py install --no-compile \
		--root $(CURDIR)/debian/python-musicbrainz

binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_installexamples -i
	dh_compress -i -X.py
	dh_fixperms -i
	dh_python2 -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_install -a --sourcedir=$(CURDIR)/debian/tmp --list-missing
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a -A README TODO AUTHORS
	dh_installexamples -a
	dh_link -a
	dh_strip -a
	dh_compress -a -X.c -X.cpp
	dh_fixperms -a
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install
