=== debian/watch ===
version=3

http://ftp.musicbrainz.org/pub/musicbrainz/libmusicbrainz-(2.1.\d+)\.tar\.gz
